summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorIgor Dyatlov2021-08-30 17:21:29 +0300
committerIgor Dyatlov2021-08-30 17:21:29 +0300
commitd9add88463213b0f10346ca070fcde447511bde0 (patch)
tree4be346c6895385b747f98fb23be003bb9cd096c1 /PKGBUILD
downloadaur-d9add88463213b0f10346ca070fcde447511bde0.tar.gz
Initial import
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..ec5b207a1fb
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,35 @@
+# Maintainer: Igor Dyatlov <dyatlov.igor@protonmail.com>
+
+pkgname=d-feet-git
+pkgver=0.3.16.r1.g7874512
+pkgrel=1
+pkgdesc="D-Bus debugger for GNOME"
+arch=('any')
+url="https://gitlab.gnome.org/GNOME/d-feet"
+license=('GPL2')
+depends=('gtk3' 'glib2' 'python-gobject' 'python>=2.7')
+makedepends=('meson' 'gobject-introspection')
+checkdepends=('xorg-server-xvfb')
+provides=("${pkgname%-git}")
+conflicts=("${pkgname%-git}")
+source=(git+$url.git)
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "${pkgname%-git}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ arch-meson "${pkgname%-git}" build
+ meson compile -C build
+}
+
+package() {
+ DESTDIR="$pkgdir" meson install -C build
+ python -m compileall -d /usr/lib "$pkgdir/usr/lib"
+ python -O -m compileall -d /usr/lib "$pkgdir/usr/lib"
+}